using System;

namespace Cryville.Crtr.Config.UI {
	public class PVPNumberStepped : PVPNumberBase {
		protected override void OnIdle() {
			SetRatio(0.5f);
		}
		protected override double GetValue(double ratio, float deltaTime, double min, double max) {
			double delta = (ratio > 0.5 ? 1 : -1) * Math.Pow((ratio - 0.5f) * 2, 2) * deltaTime;
			// if (LogarithmicMode) return Math.Pow(Math.E, Math.Log(m_value) + delta);
			return Convert.ToDouble(RawValue) + delta;
		}
	}
}
